- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Variable Class Reference

The in-memory representation of the variable element. More...

`#include <OSInstance.h>`

Collaboration diagram for Variable:

[legend]
List of all members.

## Public Member Functions
| Variable ()
| The Variable class constructor.
| ~Variable ()
| The Variable class destructor.
bool | IsEqual (Variable *that)
| A function to check for the equality of two objects.
| Variable ()
| The Variable class constructor.
| ~Variable ()
| The Variable class destructor.
## Public Attributes
double | lb
| lb corresponds to the optional attribute that holds the variable lower bound, the default value is 0
double | ub
| ub corresponds to the optional attribute that holds the variable upper bound, the default value is OSINFINITY
char | type
| type corresponds to the attribute that holds the variable type: C (Continuous), B (binary), I (general integer), or S (string).
std::string | name
| name corresponds to the optional attribute that holds the variable name, the default value is empty

## Detailed Description

The in-memory representation of the variable element.

Definition at line 77 of file OSInstance.h.

## Constructor & Destructor Documentation

Variable::Variable | ( |  | ) |

The Variable class constructor.

Definition at line 410 of file OSInstance.cpp.

Variable::~Variable | ( |  | ) |

The Variable class destructor.

Definition at line 423 of file OSInstance.cpp.

Variable::Variable | ( |  | ) |

The Variable class constructor.

Variable::~Variable | ( |  | ) |

The Variable class destructor.

## Member Function Documentation

bool Variable::IsEqual | ( | Variable * | that | ) |

A function to check for the equality of two objects.

Definition at line 5015 of file OSInstance.cpp.

References lb, name, type, and ub.

## Member Data Documentation

double Variable::lb

lb corresponds to the optional attribute that holds the variable lower bound, the default value is 0

Definition at line 88 of file OSInstance.h.

Referenced by IpoptProblem::get_starting_point(), BonminProblem::get_starting_point(), IsEqual(), OSInstance::processVariables(), CoinSolver::setSolverOptions(), and OSiLWriter::writeOSiL().

double Variable::ub

ub corresponds to the optional attribute that holds the variable upper bound, the default value is OSINFINITY

Definition at line 93 of file OSInstance.h.

Referenced by IpoptProblem::get_starting_point(), BonminProblem::get_starting_point(), IsEqual(), main(), OSInstance::processVariables(), CoinSolver::setSolverOptions(), and OSiLWriter::writeOSiL().

char Variable::type

type corresponds to the attribute that holds the variable type: C (Continuous), B (binary), I (general integer), or S (string).

The default is C

Definition at line 98 of file OSInstance.h.

Referenced by IsEqual(), OSInstance::processVariables(), and OSiLWriter::writeOSiL().

std::string Variable::name

name corresponds to the optional attribute that holds the variable name, the default value is empty

Definition at line 103 of file OSInstance.h.

Referenced by IsEqual(), OSInstance::processVariables(), and OSiLWriter::writeOSiL().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSInstance.h
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSInstance.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSInstance.cpp